# PrivateChatImpl - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat / PrivateChatImpl

# PrivateChatImpl

(common) `data class PrivateChatImpl : PrivateChat` (source)

### Constructors

(common)

#### <init>

`PrivateChatImpl(id: ChatId, username: Username? = null, firstName: String = "", lastName: String = "")`

### Properties

(common)

#### firstName

`val firstName: String`

(common)

#### id

`val id: ChatId`

(common)

#### lastName

`val lastName: String`

(common)

#### username

`val username: Username?`